Net::Akamai::ResponseData(3pm)

NAME
Net::Akamai::ResponseData - Object to hold response data

DESCRIPTION
Data container for an akamai purge response

Attributes

  uri_index
Identifies the index of the first failed URL in the array. A value of -1 indicates no bad URLs, or error before parsing them.

  result_code
Indicates sucess or failure of request

  est_time
Estimated time for request to be processed in seconds

  session_id
Unique id for request

  result_msg
Explains result code

Methods

  successful
Returns true if the result code is of the 1xx (successful) variety.

  warning
Returns true if the result code is of the 2xx (warning) variety. The Akamai documentation states that "The remove request has been accepted" even when a warning response is sent.

  accepted
Returns true if the result code is of the 1xx (successful) or 2xx (warning) varieties. This indicates that the remove request was accepted by Akamai. You should still check to see if there was a warning, and if their was report it.

  message
 if (!$res_data->accepted()) {
        # These do the same thing:
        die "$res_data";
        die $res_data->message();
 }

Returns a nicely formatted string containing the result_code and result_msg.

AUTHOR
John Goulah <jgoulah@cpan.org>

LICENSE
This library is free software, you can redistribute it and/or modify it under the same terms as Perl itself.